'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

//
class HomeService extends CrudService {
  constructor(ctx) {
    super(ctx, 'home');
    this.http = this.ctx.service.util.httpUtil;
  }
  async request() {
    const url = this.ctx.request.url;
    const body = this.ctx.request.body;
    const method = _.lowerCase(this.ctx.request.method);
    // query的参数直接在url中,所以不管走哪个方法,第二个参数都是body就可以了
    const res = await this.http[`$${method}`](url, body);
    return res;
  }
}

module.exports = HomeService;
